package com.gree.mall.manager.enums.material;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import com.gree.mall.manager.enums.base.BaseEnum;
import lombok.AccessLevel;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor(access = AccessLevel.PRIVATE)
public enum OrderSourceEnum implements BaseEnum {
    M_SALES("M_SALES","辅材销售订单"),
    P_SALES("P_SALES","配件销售订单"),
    SALES_RET("SALES_RET","辅材销售退货"),
    NEW_PARTS_RET("NEW_PARTS_RET","配件返还"),
    OLD_PARTS_RET("OLD_PARTS_RET","旧配件返还"),
    ;

    @EnumValue
    @JsonValue
    private final String key;

    private final String remark;
}
